std::experimental::ranges::tagged::operator=(3)

NAME
std::experimental::ranges::tagged::operator= - std::experimental::ranges::tagged::operator=

Synopsis
   tagged &operator=(tagged&& that) = default; (1)
   tagged &operator=(const tagged& that) = default; (2)
   template <class Other>
   requires Assignable<Base&, Other> (3)
   constexpr tagged& operator=(ranges::tagged<Other, Tags...>&& that)
   noexcept(std::is_nothrow_assignable<Base&, Other>::value);
   template <class Other>
   requires Assignable<Base&, const Other&> (4)
   constexpr tagged& operator=(const ranges::tagged<Other, Tags...>& that);
   template <class U>
   requires Assignable<Base&, U> && !Same<std::decay_t<U>, tagged> (5)
   constexpr tagged& operator=(U&& that)
   noexcept(std::is_nothrow_assignable<Base&, U>::value);
   Assigns the contents of that to *this.
   1-2) tagged has defaulted copy and move assignment operators that invoke the
   corresponding assignment operator of Base.
   3) Converting move assignment from a different tagged specialization with matching
   tags. Equivalent to static_cast<Base&>(*this) = static_cast<Other&&>(that);.
   4) Converting copy assignment from a different tagged specialization with matching
   tags. Equivalent to static_cast<Base&>(*this) = static_cast<const Other&>(that);.
   5) Assigns that to the Base subobject. Equivalent to static_cast<Base&>(*this) =
   std::forward<U>(that);

Return value
   *this.